curl --request GET \
--url 'https://api.stateset.com/api/v1/promotions' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"promotions": [
{
"code": null,
"created_at": "string",
"discount_value": null,
"id": "string",
"name": "string",
"promotion_type": "string",
"status": "string"
}
],
"total": 1
}
List promotions
List promotions
GET
/
api
/
v1
/
promotions
curl --request GET \
--url 'https://api.stateset.com/api/v1/promotions' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"promotions": [
{
"code": null,
"created_at": "string",
"discount_value": null,
"id": "string",
"name": "string",
"promotion_type": "string",
"status": "string"
}
],
"total": 1
}
Query parameters
integer (int32)
integer (int32)
string
Responses
PromotionListResponse
curl --request GET \
--url 'https://api.stateset.com/api/v1/promotions' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"promotions": [
{
"code": null,
"created_at": "string",
"discount_value": null,
"id": "string",
"name": "string",
"promotion_type": "string",
"status": "string"
}
],
"total": 1
}
โI